FusionReactor System Requirements

Free Support is Provided For Installing on a Supported Environment With the Current Release Version of FusionReactor

System Requirements, FusionReactor
Operating System
  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows 10
  • Microsoft Windows 8
  • Microsoft Windows 7
  • 64-BIT / 32-BIT Architecture
System Requirements, FusionReactor
Operating System
  • Red Hat Enterprise Linux 5 + Above
  • openSuse Linux 10.2 – 12.2
  • SuSE Linux Enterprise Server 8 + Above
  • Debian Linux 3 + Above
  • Oracle Linux 6 + Above
  • CentOS 6 + Above
  • Ubuntu 11 + Above
  • Kubuntu 9 + Above
  • Fedora 15 + Above
  • 64-BIT / 32-BIT architecture on amd64, x86, arm64.
System Requirements, FusionReactor
Operating System
  • Apple macOS 10.14 “Mojave”
  • Apple macOS 10.13 “High Sierra”
  • Apple macOS 10.12 “Sierra”
  • Apple mac OS X 10.11 “El Capitan”
  • Apple mac OS X 10.10 “Yosemite”

NOTES*:

* 32 BIT is not supported for the native debugger library.

System Requirements, FusionReactor
Java Versions
  • Oracle Java 7 – 16 *
  • Open JDK 8
  • Open JDK 10 – 16
  • Liberica JDK 8, 11, 13
  • Amazon Corretto 8, 11

NOTES*:

  • Java 6 is no longer supported with FusionReactor 8.3.0 or newer
System Requirements, FusionReactor
J2EE / Other Servers
  • Apache Tomcat 6 – 9
  • JBoss AS 6 / 7
  • Jetty 7 – 9
  • GlassFish 4 / 5
  • WildFly 8 – 18 *
System Requirements, FusionReactor
ColdFusion
  • ColdFusion 2021
  • ColdFusion 2018
  • ColdFusion 2016
  • ColdFusion 11
  • ColdFusion 10 (64-BIT / 32-BIT)
  • ColdFusion 9 (64-BIT / 32-BIT)
  • ColdFusion 8 (64-BIT / 32-BIT)
  • Railo 3.x – 4.x
  • Lucee 4.5.x
  • Lucee 5.x *

NOTES*:

  • WildFly websocket usage has a known issue when used with FusionReactor.
  • Some older versions of Lucee 5 have known issues.  See here
  • WebSphere and WebLogic servers should work in most configurations but will require a manual Jar installation – no free support is offered for these platforms

Don’t see the platform or technology you’re interested in…?

It could be that even if you don’t see the platform you’re using, that FusionReactor will still work. If it’s Java-based, you should try it!

Free Support is provided to anyone who is installing the latest version of FusionReactor onto a supported platform

Supported Browsers

System Requirements, FusionReactor

Chrome 21+

System Requirements, FusionReactor

Firefox 20+

System Requirements, FusionReactor

Internet Explorer  11

System Requirements, FusionReactor

Windows: Safari 5.1.7+
Mac OSX: Safari 5.1.9+

System Requirements, FusionReactor

Microsoft Edge

Menu